Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFrame.Shape

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QFrame.Shape

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFrame

    public static final class QFrame.Shape

extends java.lang.Enum
implements QtEnumerator

This enum type defines the shapes of frame available. When it does not call `QStyle`, Shape interacts with `QFrame::Shadow` , the lineWidth() and the midLineWidth() to create the total result. See the picture of the frames in the main class documentation.

See also:
  `QFrame::Shadow` , `QFrame::style()`, and `QStyle::drawPrimitive()`.

See Also:
  Serialized Form

Field Summary
`static QFrame.Shape` | `Box` `QFrame` draws a box around its contents
`static QFrame.Shape` | `HLine` `QFrame` draws a horizontal line that frames nothing (useful as separator)
`static QFrame.Shape` | `NoFrame` `QFrame` draws nothing
`static QFrame.Shape` | `Panel` `QFrame` draws a panel to make the contents appear raised or sunken
`static QFrame.Shape` | `StyledPanel` draws a rectangular panel with a look that depends on the current GUI style.
`static QFrame.Shape` | `VLine` `QFrame` draws a vertical line that frames nothing (useful as separator)
`static QFrame.Shape` | `WinPanel` draws a rectangular panel that can be raised or sunken like those in Windows 95.

Method Summary
`static QFrame.Shape` | `resolve(int value)` Returns the QFrame$Shape constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFrame.Shape` | `valueOf(java.lang.String name)`
`static QFrame.Shape[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoFrame

    public static final QFrame.Shape NoFrame

  `QFrame` draws nothing

### Box

    public static final QFrame.Shape Box

  `QFrame` draws a box around its contents

### Panel

    public static final QFrame.Shape Panel

  `QFrame` draws a panel to make the contents appear raised or sunken

### WinPanel

    public static final QFrame.Shape WinPanel

  draws a rectangular panel that can be raised or sunken like those in Windows 95. Specifying this shape sets the line width to 2 pixels. `WinPanel` is provided for compatibility. For GUI style independence we recommend using `StyledPanel` instead.

### HLine

    public static final QFrame.Shape HLine

  `QFrame` draws a horizontal line that frames nothing (useful as separator)

### VLine

    public static final QFrame.Shape VLine

  `QFrame` draws a vertical line that frames nothing (useful as separator)

### StyledPanel

    public static final QFrame.Shape StyledPanel

  draws a rectangular panel with a look that depends on the current GUI style. It can be raised or sunken.

Method Detail

### values

    public static QFrame.Shape[] values()

### valueOf

    public static QFrame.Shape valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFrame.Shape resolve(int value)

  Returns the QFrame$Shape constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD